GET api/userapi/user/current
Request Information
URI Parameters
None.
Body Parameters
None.
Response Information
Resource Description
UserViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| customer_name | string |
None. |
|
| has_operator_password | boolean |
None. |
|
| webapp_password | string |
Data type: Password Matching regular expression pattern: ^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[ !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~])[A-Za-z\d !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~]{8,}$ |
|
| webapp_username | string |
Required |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| isFromWpf | boolean |
None. |
|
| sites | Collection of SiteViewModel |
None. |
|
| locks | Collection of LockViewModel |
None. |
|
| clearOperatorPassword | boolean |
None. |
|
| active | boolean |
Required |
|
| admin | boolean |
None. |
|
| badge_tag_id | string |
None. |
|
| cell_phone | string |
None. |
|
| customer_id | globally unique identifier |
None. |
|
| firstname | string |
None. |
|
| id | globally unique identifier |
None. |
|
| is_supervisor | boolean |
Required |
|
| language_code | string |
Required |
|
| lastname | string |
None. |
|
| string |
None. |
||
| operator_code | string |
Required |
|
| operator_password | string |
Data type: Password |
|
| phone | string |
None. |
|
| webapp_password_last_update | date |
None. |
|
| role_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"customer_name": "sample string 1",
"has_operator_password": true,
"webapp_password": "sample string 3",
"webapp_username": "sample string 4",
"rights": [
{
"code": "sample string 1",
"id": "d3948914-eeac-4a2b-82b7-20559f6821db"
},
{
"code": "sample string 1",
"id": "d3948914-eeac-4a2b-82b7-20559f6821db"
}
],
"isFromWpf": true,
"sites": [
{
"id": "60d51ac6-16e4-49ef-a23e-b45508b40297",
"customer_id": "34bb8cc2-f56b-4fe6-97b3-f4f18a31de8b",
"dB_ip": "sample string 3",
"dB_name": "sample string 4",
"dB_user": "sample string 5",
"dB_password": "sample string 6",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 7",
"number": 1,
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"site_analysis_count": 1,
"active": true,
"address": "sample string 8",
"city": "sample string 9",
"zip_code": "sample string 10",
"country": "sample string 11",
"selected_sticker_id": "4800ea68-9eec-4e69-8c1f-a8a860f9cc64"
},
{
"id": "60d51ac6-16e4-49ef-a23e-b45508b40297",
"customer_id": "34bb8cc2-f56b-4fe6-97b3-f4f18a31de8b",
"dB_ip": "sample string 3",
"dB_name": "sample string 4",
"dB_user": "sample string 5",
"dB_password": "sample string 6",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 7",
"number": 1,
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"site_analysis_count": 1,
"active": true,
"address": "sample string 8",
"city": "sample string 9",
"zip_code": "sample string 10",
"country": "sample string 11",
"selected_sticker_id": "4800ea68-9eec-4e69-8c1f-a8a860f9cc64"
}
],
"locks": [
{
"id": "1358eb1e-4450-4fe6-81d6-34e31d659fe8",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "48ffff9f-a263-49f4-877c-4735e91592af",
"guard_id": "b002d2c3-76cb-440e-9ec2-c85faded48eb",
"active": true
},
{
"id": "1358eb1e-4450-4fe6-81d6-34e31d659fe8",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "48ffff9f-a263-49f4-877c-4735e91592af",
"guard_id": "b002d2c3-76cb-440e-9ec2-c85faded48eb",
"active": true
}
],
"clearOperatorPassword": true,
"active": true,
"admin": true,
"badge_tag_id": "sample string 9",
"cell_phone": "sample string 10",
"customer_id": "e4fbc949-8769-4be5-82c6-52413e82c320",
"firstname": "sample string 11",
"id": "91c2f0ef-8ccc-469b-888d-e2f477cdb8fd",
"is_supervisor": true,
"language_code": "sample string 14",
"lastname": "sample string 15",
"mail": "sample string 16",
"operator_code": "sample string 17",
"operator_password": "sample string 18",
"phone": "sample string 19",
"webapp_password_last_update": "2026-06-09T05:34:05.9545458+00:00",
"role_id": "d5dce5f6-ae0e-4ccc-8e5d-f80adcb74823"
}
application/xml, text/xml
Sample:
<user xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<admin>true</admin>
<badge_tag_id>sample string 9</badge_tag_id>
<cell_phone>sample string 10</cell_phone>
<customer_id>e4fbc949-8769-4be5-82c6-52413e82c320</customer_id>
<firstname>sample string 11</firstname>
<id>91c2f0ef-8ccc-469b-888d-e2f477cdb8fd</id>
<is_supervisor>true</is_supervisor>
<language_code>sample string 14</language_code>
<lastname>sample string 15</lastname>
<mail>sample string 16</mail>
<operator_code>sample string 17</operator_code>
<operator_password>sample string 18</operator_password>
<phone>sample string 19</phone>
<role_id>d5dce5f6-ae0e-4ccc-8e5d-f80adcb74823</role_id>
<webapp_password_last_update>2026-06-09T05:34:05.9545458+00:00</webapp_password_last_update>
<clearOperatorPassword>true</clearOperatorPassword>
<customer_name>sample string 1</customer_name>
<has_operator_password>true</has_operator_password>
<isFromWpf>true</isFromWpf>
<locks>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>48ffff9f-a263-49f4-877c-4735e91592af</distribution_id>
<guard_id>b002d2c3-76cb-440e-9ec2-c85faded48eb</guard_id>
<id>1358eb1e-4450-4fe6-81d6-34e31d659fe8</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>48ffff9f-a263-49f4-877c-4735e91592af</distribution_id>
<guard_id>b002d2c3-76cb-440e-9ec2-c85faded48eb</guard_id>
<id>1358eb1e-4450-4fe6-81d6-34e31d659fe8</id>
<name>sample string 2</name>
</lock>
</locks>
<rights>
<right>
<ID>d3948914-eeac-4a2b-82b7-20559f6821db</ID>
<code>sample string 1</code>
</right>
<right>
<ID>d3948914-eeac-4a2b-82b7-20559f6821db</ID>
<code>sample string 1</code>
</right>
</rights>
<sites>
<site>
<DB_ip>sample string 3</DB_ip>
<DB_name>sample string 4</DB_name>
<DB_password>sample string 6</DB_password>
<DB_user>sample string 5</DB_user>
<active>true</active>
<address>sample string 8</address>
<city>sample string 9</city>
<country>sample string 11</country>
<customer_id>34bb8cc2-f56b-4fe6-97b3-f4f18a31de8b</customer_id>
<id>60d51ac6-16e4-49ef-a23e-b45508b40297</id>
<name>sample string 7</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>4800ea68-9eec-4e69-8c1f-a8a860f9cc64</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 10</zip_code>
</site>
<site>
<DB_ip>sample string 3</DB_ip>
<DB_name>sample string 4</DB_name>
<DB_password>sample string 6</DB_password>
<DB_user>sample string 5</DB_user>
<active>true</active>
<address>sample string 8</address>
<city>sample string 9</city>
<country>sample string 11</country>
<customer_id>34bb8cc2-f56b-4fe6-97b3-f4f18a31de8b</customer_id>
<id>60d51ac6-16e4-49ef-a23e-b45508b40297</id>
<name>sample string 7</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>4800ea68-9eec-4e69-8c1f-a8a860f9cc64</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 10</zip_code>
</site>
</sites>
<webapp_password>sample string 3</webapp_password>
<webapp_username>sample string 4</webapp_username>
</user>